
Katello - Bug #9328

v2.pt_BR.json is empty/Apipie.checksum yields "A JSON text must at least contain two octets!"

02/11/2015 10:05 AM - dustin tsang

Status: Rejected   

Priority: Normal   

Assignee:    

Category: API   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

http://katforeman.local:3000/katello/api/v2/systems?organization_id=3&page=1&search=&sort_by=name&sort_order=ASC

A JSON text must at least contain two octets!

Rails.root: /home/dustin/foreman

Application Trace | Framework Trace | Full Trace

json (1.8.2) lib/json/common.rb:155:in `initialize'

json (1.8.2) lib/json/common.rb:155:in `new'

json (1.8.2) lib/json/common.rb:155:in `parse'

apipie-rails (0.2.6) lib/apipie/application.rb:270:in `block in compute_checksum'

apipie-rails (0.2.6) lib/apipie/application.rb:269:in `each'

apipie-rails (0.2.6) lib/apipie/application.rb:269:in `compute_checksum'

apipie-rails (0.2.6) lib/apipie/application.rb:282:in `checksum'

apipie-rails (0.2.6) lib/apipie/apipie_module.rb:18:in `method_missing'

apipie-rails (0.2.6) lib/apipie/middleware/checksum_in_headers.rb:29:in `call'

actionpack (3.2.21) lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

rack (1.4.5) lib/rack/etag.rb:23:in `call'

rack (1.4.5) lib/rack/conditionalget.rb:25:in `call'

actionpack (3.2.21) lib/action_dispatch/middleware/head.rb:14:in `call'

actionpack (3.2.21) lib/action_dispatch/middleware/params_parser.rb:21:in `call'

lib/middleware/catch_json_parse_errors.rb:15:in `call'

actionpack (3.2.21) lib/action_dispatch/middleware/flash.rb:242:in `call'

rack (1.4.5) lib/rack/session/abstract/id.rb:210:in `context'

rack (1.4.5) lib/rack/session/abstract/id.rb:205:in `call'

actionpack (3.2.21) lib/action_dispatch/middleware/cookies.rb:341:in `call'

activerecord (3.2.21) lib/active_record/query_cache.rb:64:in `call'

activerecord (3.2.21) lib/active_record/connection_adapters/abstract/connection_pool.rb:479:in `call'

actionpack (3.2.21) lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'

activesupport (3.2.21) lib/active_support/callbacks.rb:405:in

`_run__1395004602542499484__call__3953978859539150389__callbacks'

activesupport (3.2.21) lib/active_support/callbacks.rb:405:in `__run_callback'

activesupport (3.2.21) lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

activesupport (3.2.21) lib/active_support/callbacks.rb:81:in `run_callbacks'

actionpack (3.2.21) lib/action_dispatch/middleware/callbacks.rb:27:in `call'

actionpack (3.2.21) lib/action_dispatch/middleware/reloader.rb:65:in `call'

actionpack (3.2.21) lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

actionpack (3.2.21) lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

actionpack (3.2.21) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

/home/dustin/katello/lib/katello/middleware/silenced_logger.rb:29:in `call'

actionpack (3.2.21) lib/action_dispatch/middleware/request_id.rb:22:in `call'

rack (1.4.5) lib/rack/methodoverride.rb:21:in `call'

rack (1.4.5) lib/rack/runtime.rb:17:in `call'

activesupport (3.2.21) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

rack (1.4.5) lib/rack/lock.rb:15:in `call'

actionpack (3.2.21) lib/action_dispatch/middleware/static.rb:83:in `call'

railties (3.2.21) lib/rails/engine.rb:484:in `call'
railties (3.2.21) lib/rails/application.rb:231:in `call'

railties (3.2.21) lib/rails/railtie/configurable.rb:30:in `method_missing'

rack (1.4.5) lib/rack/builder.rb:134:in `call'

rack (1.4.5) lib/rack/urlmap.rb:64:in `block in call'

rack (1.4.5) lib/rack/urlmap.rb:49:in `each'

rack (1.4.5) lib/rack/urlmap.rb:49:in `call'

rack (1.4.5) lib/rack/content_length.rb:14:in `call'

railties (3.2.21) lib/rails/rack/log_tailer.rb:17:in `call'

rack (1.4.5) lib/rack/handler/webrick.rb:59:in `service'

/home/dustin/.rvm/rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/webrick/httpserver.rb:138:in `service'

/home/dustin/.rvm/rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/webrick/httpserver.rb:94:in `run'

/home/dustin/.rvm/rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/webrick/server.rb:191:in `block in start_thread'

logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `call'

logging (1.8.2) lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'

History

#1 - 02/11/2015 10:18 AM - dustin tsang

- Subject changed from api v2 systems index yields 500 "A JSON text must at least contain two octets!" to <strike>api v2 systems index yields

500</strike> Apipie.checksum "A JSON text must at least contain two octets!"

#2 - 02/11/2015 10:18 AM - dustin tsang

- Subject changed from <strike>api v2 systems index yields 500</strike> Apipie.checksum "A JSON text must at least contain two octets!" to

<strike>api v2 systems index yields 500</strike> Apipie.checksum yields "A JSON text must at least contain two octets!"

#3 - 02/11/2015 10:19 AM - dustin tsang

Actually caused by Apipie.checksum.

#4 - 02/11/2015 10:54 AM - dustin tsang

- Subject changed from <strike>api v2 systems index yields 500</strike> Apipie.checksum yields "A JSON text must at least contain two octets!" to

v2.pt_BR.json is empty/Apipie.checksum yields "A JSON text must at least contain two octets!"

#5 - 02/11/2015 10:55 AM - dustin tsang

v2.pt_BR.json is empty in foreman 1.7-stable

#6 - 02/11/2015 11:00 AM - dustin tsang

- Status changed from New to Rejected

problem with personal install

#7 - 02/14/2015 01:18 PM - Eric Helms

- Triaged changed from No to Yes

#8 - 07/08/2016 11:31 AM - Eric Helms

- translation missing: en.field_release set to 166
